package io.geekidea.springbootplus.test;

import cn.hutool.core.codec.Base64;
import org.junit.Test;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;

/**
 * 读取系统文件目录 生成apns字符串
 */
public class ApnsTest {


    @Test
    public void test() throws Exception {


        File file = new File("/Users/giaogiao/Library/Containers/com.tencent.xinWeChat/Data/Library/Application Support/com.tencent.xinWeChat/2.0b4.0.9/f31cd9e6d7da1d15c57c40575f5c85db/Message/MessageTemp/e1180914825140f051a87348bda5cbb5/File/hipro_test_push.p12");
        InputStream certificate = new FileInputStream(file);
        String encode = Base64.encode(certificate);


    }
}
